Info
Supported LOINCs
Get list of supported LOINC codes for clinical note sections
GET
/
api
/
v1
/
info
/
loincs
cURL
curl --request GET \
--url https://sdp.suki.ai/api/v1/info/loincs \
--header 'sdp_suki_token: <sdp_suki_token>' \
--header 'sdp_provider_id: <sdp_provider_id>'import requests
url = "https://sdp.suki.ai/api/v1/info/loincs"
headers = {"sdp_suki_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {sdp_suki_token: '<api-key>'}};
fetch('https://sdp.suki.ai/api/v1/info/loincs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"loincs": [
{
"code": "10164-2",
"common_name": "History of Present Illness"
}
]
}{
"code": 401,
"message": "invalid token"
}{
"code": 403,
"message": "forbidden"
}Use this endpoint to get the list of supported codes.
For more information about the LOINC codes, refer to the Note sections.
Code examples
- Python
- TypeScript
import requests
url = "https://sdp.suki-stage.com/api/v1/info/loincs"
headers = {
"sdp_suki_token": "<sdp_suki_token>",
"sdp_provider_id": "<sdp_provider_id>"
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
loincs_data = response.json()
print("Supported LOINC Codes:")
for loinc in loincs_data.get("loincs", []):
print(f" {loinc.get('code')}: {loinc.get('common_name')}")
else:
print(f"Failed to get LOINC codes: {response.status_code}")
print(response.json())
const response = await fetch('https://sdp.suki-stage.com/api/v1/info/loincs', {
headers: {
'sdp_suki_token': '<sdp_suki_token>',
'sdp_provider_id': '<sdp_provider_id>'
}
});
if (response.ok) {
const loincsData = await response.json();
console.log('Supported LOINC Codes:');
loincsData.loincs?.forEach((loinc: any) => {
console.log(` ${loinc.code}: ${loinc.common_name}`);
});
} else {
const error = await response.json();
console.error(`Failed to get LOINC codes: ${response.status}`, error);
}
Authorizations
Suki access token (suki_token) from Login or Register. Expires after one hour.
Headers
Optional for standard partners.
Required for:
- Bearer authentication. Use the same
provider_idreturned by the Login or Register API. - Single Auth Token authentication. Include the same
provider_idon every request assdp_provider_id.
Example:
"provider-123"
Response
Request succeeded.
Response body for the /info/loincs endpoint
Information about supported section codes
Show child attributes
Show child attributes
Last modified on July 23, 2026
Was this page helpful?
โI
cURL
